Subject: [Tsvwg] Re: new I-D for SACK-based recovery

From: venkat venkatsubra <[email-masked]>
Date: Mon, 18 Dec 2000 11:13:39 -0600

Mark and Ethan,
In  Section 4 ("Algorithm Details"),  under (D),
are we allowed to send only one segment ?
Can't we send multiple segments ?
In rfc2018 in section 5.1 it mentions about
limiting the number of segments sent in response
to each ACK.  Can this limit be more than one ?

Venkat

> Today's Topics:
>
>   1. new I-D for SACK-based loss recovery (Mark Allman)
>
> --__--__--
>
> Message: 1
> To: [email-masked]
> Cc: "Ethan Blanton" <[email-masked]>
> From: Mark Allman <[email-masked]>
> Reply-To: [email-masked]
> Organization: Late Night Hackers, NASA Glenn, Cleveland, Ohio
> Date: Fri, 03 Nov 2000 10:33:17 -0500
> Subject: [Tsvwg] new I-D for SACK-based loss recovery
>
>
> Folks-
>
> Ethan Blanton and I put together a draft outlining a conservative
> SACK-based loss recovery algorithm.  The pointer is appended.  This
> algorithm (hopefully) is implicitly allowed by RFC 2581.  We'd love
> it if people would take a look at this draft and let us know if you
> have comments.
>
> Thanks,
> allman
>
> ------- Forwarded Message
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>         Title           : A Conservative SACK-based Loss Recovery Algorithm for
>                           TCP
>         Author(s)       : M. Allman, E. Blanton
>         Filename        : draft-allman-tcp-sack-00.txt
>         Pages           : 6
>         Date            : 02-Nov-00
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-allman-tcp-sack-00.txt
>

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Ethan Blanton <[email-masked]>
Date: Mon, 18 Dec 2000 13:21:16 -0500

> to each ACK.  Can this limit be more than one ?

My gut feeling is that you can send precisely the number of bytes that were
ACKed...  This may or may not be one segment, I suppose.  Perhaps this needs
clarification?

Mark, any feelings on this?
Ethan

-- 
*Notice*:  My GPG key has changed.  Please retrieve the new key via:
            gpg --keyserver wwwkeys.us.pgp.net --recv-key 883C1C14
           Sorry for the inconvenience.  Please note that the new key
	   is signed with my old key for preliminary verification.